# Google Play EMM API . grouplicenseusers

## Instance Methods

Retrieves the IDs of the users who have been granted entitlements under the license.

### Method Details

`list(enterpriseId, groupLicenseId)`

    Retrieves the IDs of the users who have been granted entitlements under the license.

    Args:
      enterpriseId: string, The ID of the enterprise. (required)
      groupLicenseId: string, The ID of the product the group license is for, e.g. "app:com.google.android.gm". (required)

    Returns:
      An object of the form:

        { # The user resources for the group license.
        "kind": "androidenterprise#groupLicenseUsersListResponse", # Identifies what kind of resource this is. Value: the fixed string "androidenterprise#groupLicenseUsersListResponse".
        "user": [ # A user of an enterprise.
          { # A user resource represents an individual user within the enterprise's domain.
                #
                # Note that each user is associated with a Google account based on the user's corporate email address (which must be in one of the enterprise's domains). As part of installing the EMM's DPC app to manage a device the Google account must be provisioned to the device, and so the user resource must be created before that. This can be done using the Google Admin SDK Directory API.
                #
                # The ID for a user is an opaque string. It can be retrieved using the list method queried by the user's primary email address.
              "kind": "androidenterprise#user", # Identifies what kind of resource this is. Value: the fixed string "androidenterprise#user".
              "primaryEmail": "A String", # The user's primary email, e.g. "jsmith@example.com".
              "id": "A String", # The unique ID for the user.
            },
        ],
      }